> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.endorlabs.com/feedback

```json
{
  "path": "/developers-api/rest-api/using-the-rest-api/data-model/index",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Data model

> Learn about the Endor Labs data model.

Objects are persistent entities within the Endor Labs system that represent the results of your scans. Specifically, they can describe:

* The projects and package versions that Endor Labs scanned.
* The results of the scans, including **ScanResults**, **Findings**, and **Metrics**.
* The context used for the scan (for example, main branch vs. pull request).
* The policies used for the scans.

To create, modify, or delete objects, you need to use the Endor Labs REST API - Either indirectly with the endorctl command-line tool or directly with the REST API.

* [Common fields](/developers-api/rest-api/using-the-rest-api/data-model/common-fields): Learn about the common fields for all objects in the Endor Labs data model.
* [Resource kinds](/developers-api/rest-api/using-the-rest-api/data-model/resource-kinds): Learn about the resource kinds in the Endor Labs data model.
